package org.jeecg.modules.postBean;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 用户地址表
 * @Author: jeecg-boot
 * @Date:   2024-10-19
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="地址", description="用户地址表")
public class AddressReq implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "收货地址id")
    private String id;

	/**收获详细地址*/
	@Excel(name = "收获详细地址", width = 15)
    @ApiModelProperty(value = "收获详细地址")
    private String address;
    @ApiModelProperty(value = "收获详细地址")
    private java.lang.String addressDetail;
	/**收货手机号*/
	@Excel(name = "收货手机号", width = 15)
    @ApiModelProperty(value = "收货手机号")
    private String phone;
	/**城市*/
	@Excel(name = "城市", width = 15)
    @ApiModelProperty(value = "城市")
    private String city;
	/**经度*/
	@Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private String latitude;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private String longitude;
//	/**是否默认地址 0非默认 1默认*/
//	@Excel(name = "是否默认地址 0非默认 1默认", width = 15)
//    @ApiModelProperty(value = "是否默认地址 0非默认 1默认")
//    private Integer defaultFlag;
	/**收货人*/
	@Excel(name = "收货人", width = 15)
    @ApiModelProperty(value = "收货人")
    private String name;


}
